#!/bin/bash

# Generic vscan maintenance, purges /tmp/procmail.log
# and deletes any message in the quarantine more than 10 days old
cd `dirname $0`

echo "Purging /tmp/procmail.log"
cat /dev/null > /tmp/procmail.log

echo "Delete old quarantine..."
find /var/spool/virus/ -maxdepth 1 -type d -mtime +10 -exec rm -rf {} \; -print

echo "Update virus defs..."
./fpupdate
